import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
export declare class Facet {
    el: HTMLGlFacetElement;
    glFormFacet: EventEmitter;
    detail: boolean;
    image: string;
    label: string;
    value: string;
    widget: 'header' | 'item';
    setFacet(): void;
    render(): JSX.Element;
}
